using Microsoft.AspNetCore.Mvc;
using TrainingSvc.DTOs;
using TrainingSvc.IServices;

namespace TrainingSvc.Controllers;

[ApiController]
[Route("api/training/[controller]")]
public class TrainingProgramsController : ControllerBase
{
    private readonly ITrainingProgramService _service;

    public TrainingProgramsController(ITrainingProgramService service)
    {
        _service = service;
    }

    [HttpGet]
    public async Task<ActionResult<IEnumerable<TrainingProgramDto>>> GetAll()
    {
        var list = await _service.GetAllAsync();
        return Ok(list);
    }

    [HttpGet("{id}")]
    public async Task<ActionResult<TrainingProgramDto>> GetById(string id)
    {
        var dto = await _service.GetByIdAsync(id);
        if (dto == null) return NotFound();
        return Ok(dto);
    }
}