using AutoMapper;
using TrainingSvc.DTOs;
using TrainingSvc.Entities;

namespace TrainingSvc.RequestHelpers;

public class SessionProfile : Profile
{
    public SessionProfile()
    {
        CreateMap<Session, SessionDto>()
            .ForMember(dest => dest.Exercices, opt 
                    => opt.MapFrom(src => src.Exercices));
        CreateMap<CreateSessionDto, Session>()
            .ForMember(dest => dest.Exercices, opt => opt.Ignore()); // Ignore Exercices to handle them separately
        CreateMap<UpdateSessionDto, Session>();
    }
}