using AutoMapper;
using TrainingSvc.DTOs;
using TrainingSvc.IServices;
using TrainingSvc.Repositories;

namespace TrainingSvc.Services;

public class TrainingProgramService : ITrainingProgramService
{
    private readonly ITrainingProgramRepository _repo;
    private readonly IMapper _mapper;

    public TrainingProgramService(ITrainingProgramRepository repo, IMapper mapper)
    {
        _repo = repo;
        _mapper = mapper;
    }

    public async Task<IEnumerable<TrainingProgramDto>> GetAllAsync()
    {
        var list = await _repo.GetAllWithSessionsAsync();
        return _mapper.Map<IEnumerable<TrainingProgramDto>>(list);
    }

    public async Task<TrainingProgramDto?> GetByIdAsync(string id)
    {
        var entity = await _repo.GetByIdWithSessionsAsync(id);
        return entity == null ? null : _mapper.Map<TrainingProgramDto>(entity);
    }
}