﻿using Microsoft.EntityFrameworkCore;
using Shared.Entities;
using Shared.Enum;

namespace UserSvc.Entities;

[Index(nameof(Name), nameof(Surname), IsUnique = true)]
public class User : EntityBase
{
    public string Name { get; set; } = "Gest";
    public string Surname { get; set; } = "Gest";
    public int Age { get; set; } = 0;
    public float Weight { get; set; } = 0.0f;
    public float Height { get; set; } = 0.0f;
    public bool Sexe { get; set; } = true;
    public string ProfilePict { get; set; } = "https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460_960_720.png";
    
    public int NbSessionWeek { get; set; } = 1;
    public EGoal Goal { get; set; } = EGoal.None;
    public ESleepLevel SleepLevel { get; set; } = ESleepLevel.None;
    public ESportLevel SportLevel { get; set; } = ESportLevel.None;
    public List<ESport> Sports { get; set; } = [];
    public List<EHealthProblem> HealthProblems { get; set; } = [];
    
    public string? Program { get; set; } = null;
    
    public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
    public DateTime UpdatedAt { get; set; } = DateTime.UtcNow;
}